with Ints,Strings;
use Ints,Strings;

pragma Elaborate_All (Strings);

package body Params is

  procedure Show(N: in String; P: in Param) is
  begin
    Show0(N & "       Prefix: " & P.Prefix);
    Show1(N & "        OmMin:",P.T2C-P.T2W);
    Show1(N & "        OmMax:",P.T2C+P.T2W);
    Show1(N & "          PDeg:",P.PDeg);
    Show1(N & "          CDeg:",P.CDeg);
    Show1(N & "          RadC:",P.RadC);
    Show1(N & "  Mat_PackSize:",P.Mat_PackSize);
    Show1(N & "Contr_PackSize:",P.Contr_PackSize);
  end Show;

end Params;
